<template>
  <div>
    <h1>Details</h1>
    <UserDetails :getUser="getUser"/>
  </div>
</template>

<script>
  import UserDetails from "../components/UserDetails";
  
  export default {
    name: "Details.page",
    components: {
      UserDetails
    },
    computed: {
      getUser () {
        if (!this.$route.params.id) return null
        let user = this.$store.getters['users/getUserById'](this.$route.params.id)
        return user ? user : null
      }
    },
  }
</script>

<style scoped>

</style>
